Loading...
Searching...
No Matches
PluginLayerManager Class Reference

The PluginLayerManager class is a set of common layer dependent operators useful for Layer dependent QtPlugins. More...

`#include <pluginlayermanager.h>`

Inheritance diagram for PluginLayerManager:

## Public Member Functions

| PluginLayerManager (const std::string &name="undef")
bool | activeLayerLocked () const
bool | atomLocked (size_t atom) const
template<typename T>
void | load ()
bool | isEnabled () const
bool | isActiveLayerEnabled () const
void | setEnabled (bool enable)
bool | atomEnabled (Index atom) const
bool | atomEnabled (size_t layer, Index atom) const
bool | bondEnabled (Index atom1, Index atom2) const
size_t | getLayerID (Index atom) const
size_t | layerCount () const
template<typename T>
T * | getSetting (size_t layer=MaxIndex)

## Additional Inherited Members

Static Protected Member Functions inherited from LayerManager
static Layer & | getMoleculeLayer ()
static Layer & | getMoleculeLayer (const Molecule *mol)
static Layer & | getMoleculeLayer (const Molecule *original, const Molecule *copy)
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo ()
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo (const Molecule *mol)
static void | deleteMolecule (const Molecule *mol)
static size_t | layerCount ()
Static Protected Attributes inherited from LayerManager
static const Molecule * | m_activeMolecule
static std::map< const Molecule *, std::shared_ptr< MoleculeInfo > > | m_molToInfo

## Detailed Description

<avogadro/qtgui/pluginlayermanager.h>

## Member Function Documentation

## activeLayerLocked()

bool activeLayerLocked | ( |  | ) | const

Returns
  if the active layer in the molecule is locked.

## load()

template<typename T>

void load | ( |  | ) |

check if there's existent data in the key and reload it in the custom class.

## isEnabled()

bool isEnabled | ( |  | ) | const

Returns
  if the plugin is enabled in any layer

## isActiveLayerEnabled()

bool isActiveLayerEnabled | ( |  | ) | const

Returns
  if the plugin is enabled in the active layer

## setEnabled()

void setEnabled | ( | bool | enable | ) |

set active layer `enable`

## atomEnabled() [1/2]

bool atomEnabled | ( | Index | atom | ) | const

Returns
  `atom` layer enabled globally and in plugin

## atomEnabled() [2/2]

bool atomEnabled | ( | size_t | layer,
|  | Index | atom ) const

Returns
  `atom` layer enabled globally, in plugin and in `layer`

## bondEnabled()

bool bondEnabled | ( | Index | atom1,
|  | Index | atom2 ) const

Returns
  if `atom1` or `atom2` is enabled

## getLayerID()

size_t getLayerID | ( | Index | atom | ) | const

Returns
  layer id from `atom`

## layerCount()

size_t layerCount | ( |  | ) | const

Returns
  layer count

## getSetting()

template<typename T>

T * getSetting | ( | size_t | layer = MaxIndex | ) |

Returns
  custom data T derived from LayerData. if `layer` is equal to MaxIndex returns activeLayer

The documentation for this class was generated from the following file:

- pluginlayermanager.h